package com.ibtp.kontor.tradingcards.dal;


import com.ibtp.kontor.tradingcards.entity.BaseSetEntity;
import com.ibtp.kontor.tradingcards.entity.ManufacturerEntity;

import java.util.Collection;
import java.util.List;

/**
 *
 * @author tpeetz
 */
interface ManufacturerDao {

	public ManufacturerEntity getById(Long id);
	
	public Collection<ManufacturerEntity> findByIds(List<Long> ids);
	
	public Collection<ManufacturerEntity> findByName(String name);
	
	public ManufacturerEntity assignBaseSet(ManufacturerEntity manufacturer, BaseSetEntity baseSet);

	public ManufacturerEntity addManufacturer(String name);

	public ManufacturerEntity store(ManufacturerEntity entity);

	public void delete(ManufacturerEntity entity);
}
